# region-name-kr
한국어로 지역명을 다루는 라이브러리입니다.

이름 축약, 번역등이 포함되어 있습니다.

테스트 예시 파일은 `test/test.ts` 에 있습니다.

## shortProvinceName2(list, ?allow3words)
* list : 지역 리스트
* allow3words : 부울경, 수도권같이 3글자로 된 축약어의 허용 여부

충청남도와 충청북도가 들어있으면 충청도로 줄이고 싶을때, list내에 있는 다음과 같은 지역명을 축약시킵니다. 
  
* 전북 + 전남 = 전라
* 전북 + 전남 + 광주 = 호남
* 경북 + 경남 = 경상
* 경북 + 경남 + 부산 + 대구 + 울산 = 영남
* 경남 + 부산  + 울산 = 부울경
* 충북 + 충남 = 충청
* 충북 + 충남 + 세종 = 호서
* 서울 + 인천 = 경인
* 서울 + 인천 + 경기 = 수도권

## shortProvinceName(list)
`부산 광역시` 처럼 띄어쓰기가 되있는 경우, `부산광역시`로 `trim`됩니다. 

다음과 같은 지역명을 축약시킵니다.
* 전라북도 + 전라남도 = 전라도
* 전라북도 + 전라남도 + 광주광역시 = 호남 지방
* 경상북도 + 경상남도 = 경상도
* 경상북도 + 경상남도 + 부산광역시 + 대구광역시 + 울산광역시 = 영남 지방
* 경상남도 + 부산광역시  + 울산광역시 = 부울경
* 충청북도 + 충청남도 = 충청도
* 충청북도 + 충청남도 + 세종특별자치시 = 호서 지방
* 서울특별시 + 인천광역시 = 경인 지방
* 서울특별시 + 인천광역시 + 경기도 = 수도권